Subject: Re: [PATCH v3] help.c: configurable suggestions

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 18 Nov 2020 19:27:49 +0100

On Wed, Nov 18 2020, Drew DeVault wrote:

> On Wed Nov 18, 2020 at 12:16 PM EST, Junio C Hamano wrote:
>> It is unclear from this description alone why this is needed. The
>> seller of this change needs to emphasize how this is better than
>> setting the variable to "0" (do not autocorrect). My guess is that
>> some users do not even need the suggestion of correct spelling when
>> they made a typo?
>
> This is one reason. Another is that spell checking can be
> computationally expensive, and take an annoyingly long time on low-end
> devices.

As an aside it would be interesting if you're in a position to test it
whether it's the suggestion code itself that's so expensive, or e.g. the
stat()-ing on "git xyz" looking for "git-xyz" in $PATH. I if it's
FS-limited that there's easy optimization opportunities there.